<nav class="navbar navbar-expand-lg navbar-light" style="background: #445566;">
  <a class="navbar-brand" routerLink="/rentals">skirental</a>
  <form class="form-inline">
    <input class="form-control mr-sm-2 bwm-search" type="search" placeholder="Search" aria-label="Search">
    <button class="btn btn-outline-success my-2 my-sm-0 btn-bwm-search" type="submit">Search</button>
  </form>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav ml-auto">
      <ng-container  *ngIf ="!auth.isAuthenticated()">
        <li  class="nav-item active">
        <a class="nav-link" routerLink="/login">Login <span class="sr-only">(current)</span></a>
      </li>

       <li class="nav-item">
        <a class="nav-link" routerLink="/register">Register</a>
      </li>
      </ng-container> 
      <ng-container *ngIf="auth.isAuthenticated()">

      <li class="nav-item">
        <a class="nav-link" (click)="newRental()">New rental</a>
      </li>

      <li class="nav-item">
        <a class="nav-link">{{auth.getUsername()}}</a>
      </li>

       
      <li class="nav-item clickable">
        <a class="nav-link" (click)="logout()">Logout</a>
      </li>

      </ng-container>
       
    </ul>
  </div>
</nav>
